This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 128445 - policycoreutils fixfiles check bug
policycoreutils fixfiles check bug
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-22 18:40 EDT by Steve Grubb
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-28 19:16:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Grubb 2004-07-22 18:40:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.4.2)
Gecko/20040308

Description of problem:
When running 'fixfiles check' it actually performs the fixes contrary
to what the man page says will happen. This patch fixes the problem:

diff -ur policycoreutils-1.15.2.orig/scripts/fixfiles
policycoreutils-1.15.2/scripts/fixfiles
--- policycoreutils-1.15.2.orig/scripts/fixfiles        2004-07-16
14:52:18.000000000 -0400
+++ policycoreutils-1.15.2/scripts/fixfiles     2004-07-22
17:58:02.000000000 -0400
@@ -55,7 +55,7 @@
         echo "Warning: Skipping the following R/O filesystems:"
         echo "$FILESYSTEMSRO"
     fi
-    ${SETFILES} ${OUTFILES} -v ${FC} ${FILESYSTEMSRW} 2>&1 | tee $LOGFILE
+    ${SETFILES} ${OUTFILES} -v -n ${FC} ${FILESYSTEMSRW} 2>&1 | tee
$LOGFILE
 fi
 }


Basically, the '-n' option needs to be passed to setfiles when only 
checking.

Version-Release number of selected component (if applicable):
policycoreutils-1.15.2

How reproducible:
Always

Steps to Reproduce:
1. fixfiles check
    

Actual Results:  file system is relabeled

Expected Results:  a report on what was wrong with the file system

Additional info:
Comment 1 Daniel Walsh 2004-07-28 11:17:26 EDT
Fixed in policycoreutils-1.15.2-4
Comment 2 Steve Grubb 2004-07-28 19:16:02 EDT
Thanks

Note You need to log in before you can comment on or make changes to this bug.